<?php

/*******************************************************************
Visual Composer
********************************************************************/
vc_remove_element('vc_wp_search');
vc_remove_element('vc_wp_meta');
vc_remove_element('vc_wp_recentcomments');
vc_remove_element('vc_wp_calendar');
vc_remove_element('vc_wp_pages');
vc_remove_element('vc_wp_tagcloud');
vc_remove_element('vc_wp_custommenu');
vc_remove_element('vc_wp_text');
vc_remove_element('vc_wp_posts');
vc_remove_element('vc_wp_links');
vc_remove_element('vc_wp_categories');
vc_remove_element('vc_wp_archives');
vc_remove_element('vc_wp_rss');
vc_remove_element('vc_button');
vc_remove_element('vc_button2');
vc_remove_element('vc_cta_button');
vc_remove_element('vc_cta_button2');
vc_remove_element('vc_posts_slider');

if ( function_exists('vc_remove_param') ) {
	vc_remove_param('vc_row', 'full_width');
}

if ( function_exists('vc_set_as_theme') ) {
	vc_set_as_theme(true);
}

if ( function_exists('vc_disable_frontend') ) {
	vc_disable_frontend();
}

if ( function_exists('vc_set_default_editor_post_types') ) {
	vc_set_default_editor_post_types( array('page', 'wdc_portfolio', 'wdc_service') );
}


/*-----------------------------------------------------------------------------------*/
/*	Shortcodes Extension
/*-----------------------------------------------------------------------------------*/
$css_animate = array(
	'None' => '',
	'Fade In'			=> 'fadeIn',
	'Zoom In'			=> 'zoomIn',
	'Fade In Left'		=> 'fadeInLeft',
	'Fade In Left Big'	=> 'fadeInLeftBig',
	'Fade In Right'		=> 'fadeInRight',
	'Fade In Right Big'	=> 'fadeInRightBig',
	'Fade In Up'		=> 'fadeInUp',
	'Fade In Up Big'	=> 'fadeInUpBig',
	'Fade In Down'		=> 'fadeInDown',
	'Fade In Down Big'	=> 'fadeInDownBig'
);

if ( !function_exists('ostrya_vc_taxonomy') ) {
	function ostrya_vc_taxonomy($taxonomy)
	{		
		global $wpdb;
		$sql = $wpdb->prepare("SELECT DISTINCT t.term_id, t.name, t.slug 
				FROM		".$wpdb->prefix."terms t 
				INNER JOIN 	".$wpdb->prefix."term_taxonomy tax 
				ON 			tax.term_id = t.term_id
				WHERE 		( tax.taxonomy = '%s' AND tax.count > 0 )
				ORDER BY	t.name ASC", array($taxonomy));
		$categories = $wpdb->get_results($sql , OBJECT);
		
		$data	 = array();
		$data['All Categories'] = '';
		
		if ( is_array($categories) ) {
			foreach ( $categories as $cat ) {
				$data[$cat->name] = $cat->term_id;
			}
		}
		
		return $data;
	}
}


/*-----------------------------------------------------------------------------------*/
/*	Row
/*-----------------------------------------------------------------------------------*/
vc_add_param('vc_row', array(
	'type' => 'colorpicker',
	'class' => '',
	'heading' => esc_html__('Font Color', 'ostrya'),
	'param_name' => 'wdc_font_color',
	'value' => '',
	'description' => ''
));

vc_add_param('vc_row', array(
	'type' => 'dropdown',
	'class' => '',
	'heading' => esc_html__('Remove Auto Padding Top', 'ostrya'),
	'param_name' => 'wdc_remove_padding',
	'value' => array(
		'No' => 'no',
		'Yes' => 'yes'
	),
	'description' => esc_html__('Remove auto padding top for first row only', 'ostrya')
));

vc_add_param('vc_row', array(
	'type' => 'dropdown',
	'class' => '',
	'heading' => esc_html__('Full Width Container', 'ostrya'),
	'param_name' => 'wdc_full_width',
	'value' => array(
		'No' => '',
		'Yes (In Grid)' => 1,
		'Yes (Full 100%)' => 2
	),
	'description' => ''
));

vc_add_param('vc_row', array(
	'type' => 'dropdown',
	'class' => '',
	'heading' => esc_html__('Video Background', 'ostrya'),
	'param_name' => 'wdc_video_bg',
	'value' => array(
		'No' => 'no',
		'Yes' => 'yes'
	),
	'description' => ''
));

vc_add_param('vc_row', array(
	'type' => 'colorpicker',
	'class' => '',
	'heading' => esc_html__('Video Background Overlay', 'ostrya'),
	'param_name' => 'wdc_video_overlay',
	'value' => '',
	'description' => '',
	'dependency' => array('element' => 'wdc_video_bg', 'value' => array('yes'))
));

vc_add_param('vc_row', array(
	'type' => 'textfield',
	'class' => '',
	'heading' => esc_html__('Video mp4 URL', 'ostrya'),
	'param_name' => 'wdc_video_mp4',
	'value' => '',
	'description' => '',
	'dependency' => array('element' => 'wdc_video_bg', 'value' => array('yes'))
));

vc_add_param('vc_row', array(
	'type' => 'textfield',
	'class' => '',
	'heading' => esc_html__('Video webm URL', 'ostrya'),
	'param_name' => 'wdc_video_webm',
	'value' => '',
	'description' => '',
	'dependency' => array('element' => 'wdc_video_bg', 'value' => array('yes'))
));

vc_add_param('vc_row', array(
	'type' => 'textfield',
	'class' => '',
	'heading' => esc_html__('Video ogg URL', 'ostrya'),
	'param_name' => 'wdc_video_ogg',
	'value' => '',
	'description' => '',
	'dependency' => array('element' => 'wdc_video_bg', 'value' => array('yes'))
));

vc_add_param('vc_column', array(
	'type' => 'dropdown',
	'class' => '',
	'heading' => esc_html__('CSS Animation', 'ostrya'),
	'param_name' => 'wdc_animate',
	'value' => $css_animate,
	'description' => ''
));


/*-----------------------------------------------------------------------------------*/
/*	Heading Config
/*-----------------------------------------------------------------------------------*/
vc_map( array(
	'name' => esc_html__('Heading', 'ostrya'),
	'base' => 'wdc_heading',
	'icon' => 'wdc-icon-heading',
	'class' => '',
	'category' => 'iWebdc',
	'params' => array(
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Align', 'ostrya'),
			'param_name' => 'align',
			'value' => array(
				'Left' => 'left',
				'Center' => 'center',
				'Right' => 'right'
			),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Title', 'ostrya'),
			'param_name' => 'title',
			'value' => 'Heading Title',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textarea',
			'class' => '',
			'heading' => esc_html__('Description', 'ostrya'),
			'param_name' => 'content',
			'value' => '',
			'description' => ''
		),
	)
) );
class WPBakeryShortCode_wdc_heading extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	Button Config
/*-----------------------------------------------------------------------------------*/
vc_map( array(
	'name' => esc_html__('Button', 'ostrya'),
	'base' => 'wdc_button',
	'icon' => 'wdc-icon-button',
	'class' => '',
	'category' => 'iWebdc',
	'params' => array(
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Style', 'ostrya'),
			'param_name' => 'style',
			'value' => array(
				'Solid' => '1',
				'Transparent' => '2'
			),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Size', 'ostrya'),
			'param_name' => 'size',
			'value' => array(
				'Small' => 'small',
				'Medium' => 'medium',
				'Large' => 'large'
			),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'iconpicker',
			'class' => '',
			'heading' => esc_html__('Icon Font', 'ostrya'),
			'param_name' => 'icon',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),	
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Link Label', 'ostrya'),
			'param_name' => 'link_label',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'vc_link',
			'class' => '',
			'heading' => esc_html__('Link URL', 'ostrya'),
			'param_name' => 'link_url',
			'value' => '',
			'description' => ''
		),
	)
) );
class WPBakeryShortCode_wdc_button extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	Icon Box Config
/*-----------------------------------------------------------------------------------*/
vc_map( array(
	'name' => esc_html__('Icon Box', 'ostrya'),
	'base' => 'wdc_icon_box',
	'icon' => 'wdc-icon-iconbox',
	'class' => '',
	'category' => 'iWebdc',
	'params' => array(
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Style', 'ostrya'),
			'param_name' => 'style',
			'value' => array(
				'Style 1' => '1',
				'Style 2' => '2',
				'Style 3' => '3'
			),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Icon Position', 'ostrya'),
			'param_name' => 'icon_position',
			'value' => array(
				'Left' => 'left',
				'Right' => 'right'
			),
			'std' => 'left',
			'description' => '',
			'dependency' => array('element' => 'style', 'value' => array('2')),
			'admin_label' => true
		),
		/* start icon */
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Icon library', 'ostrya'),
			'value' => array(
				esc_html__('Font Awesome', 'ostrya') => 'fontawesome',
				esc_html__('Open Iconic', 'ostrya') => 'openiconic',
				esc_html__('Typicons', 'ostrya') => 'typicons',
				esc_html__('Entypo', 'ostrya') => 'entypo',
				esc_html__('Linecons', 'ostrya') => 'linecons',
			),
			'param_name' => 'icon_type',
			'description' => esc_html__('Select icon library.', 'ostrya'),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__('Icon', 'ostrya'),
			'param_name' => 'icon_fontawesome',
			'value' => 'fa fa-info-circle',
			'settings' => array(
				'emptyIcon' => false,
				'iconsPerPage' => 4000,
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'fontawesome',
			),
			'description' => esc_html__('Select icon from library.', 'ostrya'),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__('Icon', 'ostrya'),
			'param_name' => 'icon_openiconic',
			'settings' => array(
				'emptyIcon' => false,
				'type' => 'openiconic',
				'iconsPerPage' => 4000,
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'openiconic',
			),
			'description' => esc_html__('Select icon from library.', 'ostrya'),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__('Icon', 'ostrya'),
			'param_name' => 'icon_typicons',
			'settings' => array(
				'emptyIcon' => false,
				'type' => 'typicons',
				'iconsPerPage' => 4000,
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'typicons',
			),
			'description' => esc_html__('Select icon from library.', 'ostrya'),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__('Icon', 'ostrya'),
			'param_name' => 'icon_entypo',
			'settings' => array(
				'emptyIcon' => false,
				'type' => 'entypo',
				'iconsPerPage' => 4000,
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'entypo',
			),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__('Icon', 'ostrya'),
			'param_name' => 'icon_linecons',
			'settings' => array(
				'emptyIcon' => false,
				'type' => 'linecons',
				'iconsPerPage' => 4000,
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'linecons',
			),
			'description' => esc_html__('Select icon from library.', 'ostrya'),
		),
		/* end icon */
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Title', 'ostrya'),
			'param_name' => 'title',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textarea',
			'class' => '',
			'heading' => esc_html__('Content', 'ostrya'),
			'param_name' => 'content',
			'value' => 'Content',
			'description' => ''
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Link Label', 'ostrya'),
			'param_name' => 'link_label',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'vc_link',
			'class' => '',
			'heading' => esc_html__('Link URL', 'ostrya'),
			'param_name' => 'link_url',
			'value' => '',
			'description' => ''
		),
		array(
			'type' => 'colorpicker',
			'class' => '',
			'heading' => esc_html__('Color', 'ostrya'),
			'param_name' => 'color_hover',
			'value' => '',
			'description' => '',
			'dependency' => array('element' => 'style', 'value' => array('3'))
		),
		array(
			'type' => 'colorpicker',
			'class' => '',
			'heading' => esc_html__('Background Color', 'ostrya'),
			'param_name' => 'bg_color_hover',
			'value' => '',
			'description' => '',
			'dependency' => array('element' => 'style', 'value' => array('3'))
		),
	)
) );
class WPBakeryShortCode_wdc_icon_box extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	Meta Box Config
/*-----------------------------------------------------------------------------------*/
vc_map( array(
	'name' => esc_html__('Meta Box', 'ostrya'),
	'base' => 'wdc_meta_box',
	'icon' => 'wdc-icon-metabox',
	'class' => '',
	'category' => 'iWebdc',
	'params' => array(
		array(
			'type' => 'param_group',
			'heading' => esc_html__( 'Meta Field', 'ostrya' ),
			'param_name' => 'values',
			'description' => '',
			'value' => urlencode( json_encode( array(
				array(
					'label' => esc_html__('Label 1', 'ostrya'),
					'value' => 'Value 1',
				),
				array(
					'label' => esc_html__('Label 2', 'ostrya'),
					'value' => 'Value 2',
				),
			) ) ),
			'params' => array(	
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Label', 'ostrya'),
					'param_name' => 'label',
					'description' => '',
					'admin_label' => true
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__('Value', 'ostrya'),
					'param_name' => 'value',
					'description' => '',
					'admin_label' => true
				),
			),
		),
	),

) );
class WPBakeryShortCode_wdc_meta_box extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	Promo Box Config
/*-----------------------------------------------------------------------------------*/
vc_map( array(
	'name' => esc_html__('Promo Box', 'ostrya'),
	'base' => 'wdc_promo_box',
	'icon' => 'wdc-icon-promobox',
	'class' => '',
	'category' => 'iWebdc',
	'params' => array(
		array(
			'type' => 'attach_image',
			'class' => '',
			'heading' => esc_html__('Image', 'ostrya'),
			'param_name' => 'image',
			'value' => '',
			'description' => ''
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Title', 'ostrya'),
			'param_name' => 'title',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Sub Title', 'ostrya'),
			'param_name' => 'sub_title',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'vc_link',
			'class' => '',
			'heading' => esc_html__('Link URL', 'ostrya'),
			'param_name' => 'link_url',
			'value' => '',
			'description' => ''
		),
	)
) );
class WPBakeryShortCode_wdc_promo_box extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	Pricing Box Config
/*-----------------------------------------------------------------------------------*/
vc_map( array(
	'name' => esc_html__('Pricing Box', 'ostrya'),
	'base' => 'wdc_pricing_box',
	'icon' => 'wdc-icon-pricingbox',
	'class' => '',
	'category' => 'iWebdc',
	'params' => array(
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Featured', 'ostrya'),
			'param_name' => 'featured',
			'value' => array(
				'No' => 'no',
				'Yes' => 'yes'
			),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Title', 'ostrya'),
			'param_name' => 'title',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Price', 'ostrya'),
			'param_name' => 'price',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Currency', 'ostrya'),
			'param_name' => 'currency',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Note', 'ostrya'),
			'param_name' => 'note',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textarea',
			'class' => '',
			'heading' => esc_html__('Content', 'ostrya'),
			'param_name' => 'content',
			'value' => '',
			'description' => ''
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Link Label', 'ostrya'),
			'param_name' => 'link_label',
			'value' => '',
			'description' => ''
		),
		array(
			'type' => 'vc_link',
			'class' => '',
			'heading' => esc_html__('Link URL', 'ostrya'),
			'param_name' => 'link_url',
			'value' => '',
			'description' => ''
		),
	)
) );
class WPBakeryShortCode_wdc_pricing_box extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	Counter Config
/*-----------------------------------------------------------------------------------*/
vc_map( array(
	'name' => esc_html__('Counter', 'ostrya'),
	'base' => 'wdc_counter',
	'icon' => 'wdc-icon-counter',
	'class' => '',
	'category' => 'iWebdc',
	'params' => array(
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Style', 'ostrya'),
			'param_name' => 'style',
			'value' => array(
				'Default' => 'default',
				'With Icon' => 'icon'
			),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Icon Position', 'ostrya'),
			'param_name' => 'icon_position',
			'value' => array(
				'Top' => 'top',
				'Left' => 'left'
			),
			'description' => '',
			'dependency' => array('element' => 'style', 'value' => array('icon')),
			'admin_label' => true
		),
		array(
			'type' => 'iconpicker',
			'class' => '',
			'heading' => esc_html__('Icon Font', 'ostrya'),
			'param_name' => 'icon',
			'value' => '',
			'description' => '',
			'dependency' => array('element' => 'style', 'value' => array('icon')),
			'admin_label' => true
		),
		array(
			'type' => 'colorpicker',
			'class' => '',
			'heading' => esc_html__('Color', 'ostrya'),
			'param_name' => 'color',
			'value' => '',
			'description' => ''
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Number', 'ostrya'),
			'param_name' => 'number',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Title', 'ostrya'),
			'param_name' => 'title',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
	)
) );
class WPBakeryShortCode_wdc_counter extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	Countdown Config
/*-----------------------------------------------------------------------------------*/
vc_map( array(
	'name' => esc_html__('Countdown', 'ostrya'),
	'base' => 'wdc_countdown',
	'icon' => 'wdc-icon-countdown',
	'class' => '',
	'category' => 'iWebdc',
	'params' => array(
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Launch Date', 'ostrya'),
			'param_name' => 'date',
			'value' => '',
			'description' => 'Format: '. date('Y/m/d') .' - YYYY/MM/DD',			
			'admin_label' => true
		),
	)
) );
class WPBakeryShortCode_wdc_countdown extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	Blog Config
/*-----------------------------------------------------------------------------------*/
vc_map( array(
	'name' => esc_html__('Blogs', 'ostrya'),
	'base' => 'wdc_blog',
	'icon' => 'wdc-icon-blog',
	'class' => '',
	'category' => 'iWebdc',
	'params' => array(
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Columns', 'ostrya'),
			'param_name' => 'columns',
			'value' => array(1 => 1, 2 => 2, 3 => 3, 4 => 4),
			'std' => '4',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Category', 'ostrya'),
			'param_name' => 'category',
			'value' => ostrya_vc_taxonomy('category'),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Number to display', 'ostrya'),
			'param_name' => 'number',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
	)
) );
class WPBakeryShortCode_wdc_blog extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	Portfolios Config
/*-----------------------------------------------------------------------------------*/
vc_map( array(
	'name' => esc_html__('Portfolios', 'ostrya'),
	'base' => 'wdc_portfolios',
	'icon' => 'wdc-icon-portfolios',
	'class' => '',
	'category' => 'iWebdc',
	'params' => array(
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Style', 'ostrya'),
			'param_name' => 'style',
			'value' => array(
				'Modern' => '1',
				'Classic' => '2'
			),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Columns', 'ostrya'),
			'param_name' => 'columns',
			'value' => array(2 => 2, 3 => 3, 4 => 4),
			'std' => '3',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Category', 'ostrya'),
			'param_name' => 'category',
			'value' => ostrya_vc_taxonomy('wdc_portfolio_cat'),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Number to display', 'ostrya'),
			'param_name' => 'number',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Remove Space', 'ostrya'),
			'param_name' => 'nospace',
			'value' => array(
				'No' => 'no',
				'Yes' => 'yes'
			),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Show Filter', 'ostrya'),
			'param_name' => 'filter',
			'value' => array(
				'No' => 'no',
				'Yes' => 'yes'
			),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Show Load More', 'ostrya'),
			'param_name' => 'load_more',
			'value' => array(
				'No' => 'no',
				'Yes' => 'yes'
			),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Link Label', 'ostrya'),
			'param_name' => 'link_label',
			'value' => '',
			'description' => '',
			'dependency' => array('element' => 'style', 'value' => array('1')),
			'admin_label' => true
		),
	)
) );
class WPBakeryShortCode_wdc_portfolios extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	Services Config
/*-----------------------------------------------------------------------------------*/
vc_map( array(
	'name' => esc_html__('Services', 'ostrya'),
	'base' => 'wdc_services',
	'icon' => 'wdc-icon-services',
	'class' => '',
	'category' => 'iWebdc',
	'params' => array(
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Style', 'ostrya'),
			'param_name' => 'style',
			'value' => array(
				'Icon' => '1',
				'Classic' => '2'
			),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Columns', 'ostrya'),
			'param_name' => 'columns',
			'value' => array(2 => 2, 3 => 3, 4 => 4),
			'std' => '3',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Category', 'ostrya'),
			'param_name' => 'category',
			'value' => ostrya_vc_taxonomy('wdc_service_cat'),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Number to display', 'ostrya'),
			'param_name' => 'number',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Show Filter', 'ostrya'),
			'param_name' => 'filter',
			'value' => array(
				'No' => 'no',
				'Yes' => 'yes'
			),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Link Label', 'ostrya'),
			'param_name' => 'link_label',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
	)
) );
class WPBakeryShortCode_wdc_services extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	Teams Config
/*-----------------------------------------------------------------------------------*/
vc_map( array(
	'name' => esc_html__('Teams', 'ostrya'),
	'base' => 'wdc_teams',
	'icon' => 'wdc-icon-teams',
	'class' => '',
	'category' => 'iWebdc',
	'params' => array(
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Columns', 'ostrya'),
			'param_name' => 'columns',
			'value' => array(1 => 1, 2 => 2, 3 => 3, 4 => 4),
			'std' => '3',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Category', 'ostrya'),
			'param_name' => 'category',
			'value' => ostrya_vc_taxonomy('wdc_team_cat'),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Number to display', 'ostrya'),
			'param_name' => 'number',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('CSS Animation', 'ostrya'),
			'param_name' => 'animate',
			'value' => $css_animate,
			'description' => ''
		),
	)
) );
class WPBakeryShortCode_wdc_teams extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	Testimonials Config
/*-----------------------------------------------------------------------------------*/
vc_map( array(
	'name' => esc_html__('Testimonials', 'ostrya'),
	'base' => 'wdc_testimonials',
	'icon' => 'wdc-icon-testimonials',
	'class' => '',
	'category' => 'iWebdc',
	'params' => array(
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Columns', 'ostrya'),
			'param_name' => 'columns',
			'value' => array(1 => 1, 2 => 2),
			'std' => '2',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Category', 'ostrya'),
			'param_name' => 'category',
			'value' => ostrya_vc_taxonomy('wdc_testimonial_cat'),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Number to display', 'ostrya'),
			'param_name' => 'number',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('CSS Animation', 'ostrya'),
			'param_name' => 'animate',
			'value' => $css_animate,
			'description' => ''
		),
	)
) );
class WPBakeryShortCode_wdc_testimonials extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	Testimonials Slider Config
/*-----------------------------------------------------------------------------------*/
vc_map( array(
	'name' => esc_html__('Testimonials Slider', 'ostrya'),
	'base' => 'wdc_testimonials_slider',
	'icon' => 'wdc-icon-testimonialsslider',
	'class' => '',
	'category' => 'iWebdc',
	'params' => array(
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Category', 'ostrya'),
			'param_name' => 'category',
			'value' => ostrya_vc_taxonomy('wdc_testimonial_cat'),
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Number to display', 'ostrya'),
			'param_name' => 'number',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
	)
) );
class WPBakeryShortCode_wdc_testimonials_slider extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	Clients Config
/*-----------------------------------------------------------------------------------*/
vc_map( array(
	'name' => esc_html__('Clients', 'ostrya'),
	'base' => 'wdc_clients',
	'icon' => 'wdc-icon-clients',
	'class' => '',
	'category' => 'iWebdc',
	'params' => array(
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('Columns', 'ostrya'),
			'param_name' => 'columns',
			'value' => array(2 => 2, 3 => 3, 4 => 4),
			'std' => '4',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Number to display', 'ostrya'),
			'param_name' => 'number',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'class' => '',
			'heading' => esc_html__('CSS Animation', 'ostrya'),
			'param_name' => 'animate',
			'value' => $css_animate,
			'description' => ''
		),
	)
) );
class WPBakeryShortCode_wdc_clients extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	Clients Slider Config
/*-----------------------------------------------------------------------------------*/
vc_map( array(
	'name' => esc_html__('Clients Slider', 'ostrya'),
	'base' => 'wdc_clients_slider',
	'icon' => 'wdc-icon-clientsslider',
	'class' => '',
	'category' => 'iWebdc',
	'params' => array(
		array(
			'type' => 'textfield',
			'class' => '',
			'heading' => esc_html__('Number to display', 'ostrya'),
			'param_name' => 'number',
			'value' => '',
			'description' => '',
			'admin_label' => true
		),
	)
) );
class WPBakeryShortCode_wdc_clients_slider extends WPBakeryShortCode {}

/*-----------------------------------------------------------------------------------*/
/*	VC Google Map
/*-----------------------------------------------------------------------------------*/

		vc_map( array(
				'name'            => esc_html__( 'Google Map', 'ostrya' ),
				'base'            => 'wdc_gmap',
				'category' => esc_html__( 'iWebdc', 'ostrya' ),
				'params'          => array(
					array(
						'type'        => 'textfield',
						'heading'     => esc_html__( 'Api Key', 'ostrya' ),
						'param_name'  => 'api_key',
						'value'       => '',
						'description' => sprintf( __( 'Please go to <a href="%s">Google Maps APIs</a> to get a key', 'ostrya' ), esc_url( 'https://developers.google.com/maps/documentation/javascript/get-api-key#get-an-api-key' ) ),
					),
					array(
						'type'        => 'attach_image',
						'heading'     => esc_html__( 'Marker', 'ostrya' ),
						'param_name'  => 'marker',
						'value'       => '',
						'description' => esc_html__( 'Select an image from media library', 'ostrya' ),
					),
					array(
						'type' 		 => 'param_group',
						'heading'     => esc_html__( 'Address Infomation', 'ostrya' ),
		                'value'		 => '',
		                'param_name' => 'info',
		                'params' => array(
		                    array(
		                        'type' => 'textfield',
		                        'heading'    => esc_html__( 'Address', 'ostrya' ),
		                        'param_name' => 'address',
		                    ),
		                    array(
		                        'type' => 'textarea',
		                        'heading'    => esc_html__( 'Details', 'ostrya' ),
		                        'param_name' => 'details',
		                    ),
		                )
					),
/* 					array(
						'type'       => 'textfield',
						'heading'    => esc_html__( 'Width(px)', 'ostrya' ),
						'param_name' => 'width',
						'value'      => '',
					), */
					array(
						'type'       => 'textfield',
						'heading'    => esc_html__( 'Height(px)', 'ostrya' ),
						'param_name' => 'height',
						'value'      => '500',
					),
 					array(
						'type'       => 'textfield',
						'heading'    => esc_html__( 'Zoom', 'ostrya' ),
						'param_name' => 'zoom',
						'value'      => '13',
						'description' => esc_html__( ' Recomended Values 2 to 20 - dont leave ', 'ostrya' ),
					),
					array(
						'type'        => 'textfield',
						'heading'     => esc_html__( 'Extra class name', 'ostrya' ),
						'param_name'  => 'el_class',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file . ', 'ostrya' ),
					),
				)
		) );
		
class WPBakeryShortCode_wdc_gmap extends WPBakeryShortCode {}		