<?php

/*******************************************************************
WooCommerce
********************************************************************/
add_filter('woocommerce_show_page_title', '__return_false');

if ( !function_exists('ostrya_woo_thumbs') ) {
	function ostrya_woo_thumbs()
	{
		update_option('shop_catalog_image_size', array('width' => 600, 'height' => 750, 'crop' => true));
		update_option('shop_single_image_size', array('width' => 600, 'height' => 750, 'crop' => true));
		update_option('shop_thumbnail_image_size', array('width' => 90, 'height' => 90, 'crop' => true));
	}
}
global $pagenow;
if ( is_admin() && isset( $_GET['activated'] ) && $pagenow == 'themes.php' ) {
	add_action('init', 'ostrya_woo_thumbs', 1);
}


if ( !function_exists('ostrya_woo_shop_per_page') ) {
	function ostrya_woo_shop_per_page()
	{
		return intval( ostrya_opt('woo_count') );
	}
}
add_filter('loop_shop_per_page', 'ostrya_woo_shop_per_page', 20);


if ( !function_exists('ostrya_woo_shop_columns') ) {
	function ostrya_woo_shop_columns()
	{
		$cols = ( ostrya_opt('woo_layout') == 'fw' ) ? 4 : 3;
		return intval( $cols );
	}
}
add_filter('loop_shop_columns', 'ostrya_woo_shop_columns');


function ostrya_woo_related_products_args( $args ) {
	$cols = ( ostrya_opt('woo_layout') == 'fw' ) ? 4 : 3;
	$args['posts_per_page'] = intval( $cols );
	$args['columns']        = intval( $cols );

	return $args;
}
add_filter( 'woocommerce_output_related_products_args', 'ostrya_woo_related_products_args' );


if ( !function_exists('ostrya_woo_breadcrumb') ) {
	function ostrya_woo_breadcrumb()
	{
		return array(
			'delimiter'   => '',
			'wrap_before' => '<ol class="breadcrumb">',
			'wrap_after'  => '</ol>',
			'before'      => '<li>',
			'after'       => '</li>',
			'home'        => _x('Home', 'breadcrumb', 'ostrya' ),
			);
	}
}
add_filter('woocommerce_breadcrumb_defaults', 'ostrya_woo_breadcrumb');