<?php

class Ostrya_Social_Widget extends Ostrya_Widget {

	function __construct()
	{
		$this->widget = array(
			'id_base'     => 'wdc-social-wgt',
			'name'        => esc_html__('Social Icons', 'ostrya'),
			'description' => ''
		);

		parent::__construct();
	}
	
	function set_fields()
	{
		$getSocial = ostrya_get_socials();
		$social_opts = array();
		foreach ( $getSocial as $k => $v ) {
			$social_opts[$k] = $v[1];
		}
		
		$fields['title'] = array(
			'type'		=> 'text',
			'label'		=> esc_html__('Title', 'ostrya'),
		);
		
		$fields['social_show'] = array(
			'type'		=> 'checkbox',
			'label'		=> esc_html__('Social Icon?', 'ostrya'),
			'options'	=> $social_opts,
		);

		$this->fields = $fields;
	}

	function widget( $args, $instance )
	{
		extract($args, EXTR_SKIP);
		extract($instance, EXTR_SKIP);
		
		$title = apply_filters('widget_title', $title, $instance, $this->id_base);
		
		echo $before_widget;
		
		if ( !empty( $title ) ) { echo $before_title . esc_attr( $title ) . $after_title; }
		
		ostrya_theme_socials($social_show);
		
		echo $after_widget;
	}
	
}

function ostrya_social_widget()
{
	register_widget('Ostrya_Social_Widget');
}
add_action('widgets_init', 'ostrya_social_widget');