<!-- post entry -->
<article id="post-<?php the_ID(); ?>" <?php post_class('blog-single'); ?>>
    
    <h2 class="post-title"><?php the_title(); ?></h2>
	
	<div class="post-meta">
        <span class="post-author"><em><?php esc_html_e('by', 'ostrya'); ?></em><?php the_author_posts_link(); ?></span>
        <span class="post-date"><?php echo get_the_time('j'); ?> <?php echo get_the_time('M'); ?></span>
        <span class="post-category"><em><?php esc_html_e('in', 'ostrya'); ?></em><?php the_category(', '); ?></span>
        <span class="post-comment"><?php comments_popup_link('No comments yet', '1 comment', '% comments'); ?></span>
    </div>
		
	<?php get_template_part( 'parts/partial', 'blog-media' ); ?>
	
	<div class="post-content">
		<?php
		the_content();
		echo '<div class="clearfix"></div>';
		wp_link_pages( array(
			'before'      => '<div class="pagination"><strong>'. esc_html__('Pages:', 'ostrya') .'</strong>',
			'after'       => '</div>',
			'link_before' => '<span>',
			'link_after'  => '</span>'
		) );

		if ( ostrya_opt('post_tags') ) {
			the_tags('<div class="post-tags">', ' ', '</div>');
		}
		?>
	</div>
	
	<?php if ( ostrya_opt('post_author') ) { ?>
	<div class="post-authors">
		<?php /*?><h3 class="wdc-subheading"><?php esc_html_e('About Author', 'ostrya'); ?></h3><?php */?>
		<?php /*?><div class="author-left pull-left"><?php */?>
        <div class="author-left">
			<?php echo get_avatar(get_the_author_meta('email'), 75); ?>
		</div>
		<div class="author-right">
			<h4><?php the_author_posts_link(); ?></h4>		
			<div class="author-description"><?php the_author_meta('description'); ?></div>
		</div>
	</div>
	<?php } ?>
	
</article>
<!-- end post entry -->