<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $full_width
 * @var $full_height
 * @var $equal_height
 * @var $columns_placement
 * @var $content_placement
 * @var $parallax
 * @var $parallax_image
 * @var $css
 * @var $el_id
 * @var $video_bg
 * @var $video_bg_url
 * @var $video_bg_parallax
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Row
 */
$el_class = $full_height = $full_width = $equal_height = $flex_row = $columns_placement = $content_placement = $parallax = $parallax_image = $css = $el_id = $video_bg = $video_bg_url = $video_bg_parallax = '';
$output = $after_output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

wp_enqueue_script( 'wpb_composer_front_js' );

$el_class = $this->getExtraClass( $el_class );

$css_classes = array(
	'vc_row',
	'wpb_row', //deprecated
	'vc_row-fluid',
	$el_class,
	vc_shortcode_custom_css_class( $css ),
);

if (vc_shortcode_custom_css_has_property( $css, array('border', 'background') ) || $video_bg || $parallax) {
	$css_classes[]='vc_row-has-fill';
}

if (!empty($atts['gap'])) {
	$css_classes[] = 'vc_column-gap-'.$atts['gap'];
}

$wrapper_attributes = array();
// build attributes for wrapper
if ( ! empty( $el_id ) ) {
	$wrapper_attributes[] = 'id="' . esc_attr( $el_id ) . '"';
}
/*if ( ! empty( $full_width ) ) {
	$wrapper_attributes[] = 'data-vc-full-width="true"';
	$wrapper_attributes[] = 'data-vc-full-width-init="false"';
	if ( 'stretch_row_content' === $full_width ) {
		$wrapper_attributes[] = 'data-vc-stretch-content="true"';
	} elseif ( 'stretch_row_content_no_spaces' === $full_width ) {
		$wrapper_attributes[] = 'data-vc-stretch-content="true"';
		$css_classes[] = 'vc_row-no-padding';
	}
	$after_output .= '<div class="vc_row-full-width"></div>';
}*/

if ( ! empty( $full_height ) ) {
	$css_classes[] = ' vc_row-o-full-height';
	if ( ! empty( $columns_placement ) ) {
		$flex_row = true;
		$css_classes[] = ' vc_row-o-columns-' . $columns_placement;
	}
}

if ( ! empty( $equal_height ) ) {
	$flex_row = true;
	$css_classes[] = ' vc_row-o-equal-height';
}

if ( ! empty( $content_placement ) ) {
	$flex_row = true;
	$css_classes[] = ' vc_row-o-content-' . $content_placement;
}

if ( ! empty( $flex_row ) ) {
	$css_classes[] = ' vc_row-flex';
}

$has_video_bg = ( ! empty( $video_bg ) && ! empty( $video_bg_url ) && vc_extract_youtube_id( $video_bg_url ) );

if ( $has_video_bg ) {
	$parallax = $video_bg_parallax;
	$parallax_image = $video_bg_url;
	$css_classes[] = ' vc_video-bg-container';
	wp_enqueue_script( 'vc_youtube_iframe_api_js' );
}

if ( ! empty( $parallax ) ) {
	wp_enqueue_script( 'vc_jquery_skrollr_js' );
	$wrapper_attributes[] = 'data-vc-parallax="1.5"'; // parallax speed
	$css_classes[] = 'vc_general vc_parallax vc_parallax-' . $parallax;
	if ( false !== strpos( $parallax, 'fade' ) ) {
		$css_classes[] = 'js-vc_parallax-o-fade';
		$wrapper_attributes[] = 'data-vc-parallax-o-fade="on"';
	} elseif ( false !== strpos( $parallax, 'fixed' ) ) {
		$css_classes[] = 'js-vc_parallax-o-fixed';
	}
}

if ( ! empty( $parallax_image ) ) {
	if ( $has_video_bg ) {
		$parallax_image_src = $parallax_image;
	} else {
		$parallax_image_id = preg_replace( '/[^\d]/', '', $parallax_image );
		$parallax_image_src = wp_get_attachment_image_src( $parallax_image_id, 'full' );
		if ( ! empty( $parallax_image_src[0] ) ) {
			$parallax_image_src = $parallax_image_src[0];
		}
	}
	$wrapper_attributes[] = 'data-vc-parallax-image="' . esc_attr( $parallax_image_src ) . '"';
}
if ( ! $parallax && $has_video_bg ) {
	$wrapper_attributes[] = 'data-vc-video-bg="' . esc_attr( $video_bg_url ) . '"';
}

/*start*/
$page_layout = get_post_meta(get_the_ID(), '_wdc_page_layout', TRUE);

$style_css = array();

if ( !empty($el_id) ) {
	$wrapper_attributes[] = ' data-sectionid="'. esc_attr( $el_id ) .'"';
}
if ( is_page() && $page_layout == 'fw' ) {
	$css_classes[] = 'wpb_section';
}
if ( $wdc_video_bg == 'yes' ) {
	$css_classes[] = 'wpb_video';
}
if ( $wdc_remove_padding <> 'yes' ) {
	$css_classes[] = 'wpb_padding';
}
if ( preg_match('/[A-F0-9]{6}/', strtoupper($wdc_font_color)) ) {
	$css_classes[] = 'wpb_color';
	$style_css[] = 'color:'. esc_attr( $wdc_font_color ) .';';
}

$wrapper_attributes[] = ( count($style_css) > 0 ) ? ' style="'. @implode(' ', $style_css) .'"' : '';
/*end*/

$css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), $this->settings['base'], $atts ) );
$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

$output .= '<div ' . implode( ' ', $wrapper_attributes ) . '>';

if ( $wdc_video_bg == 'yes' ) {
	$video_bg_overlay = '';
	if ( !empty($wdc_video_overlay) ) {
		$video_bg_overlay = ' style="background-color: '. esc_attr( $wdc_video_overlay ) .';"';
	}
	$output .= '<div class="video-wrap">';
	$output .= '<div class="video-overlay"'. esc_attr( $video_bg_overlay ) .'></div>';
	$output .= '<video autoplay="autoplay" loop="loop" autobuffer="autobuffer" width="100%" height="100%">';
		if ( !empty($wdc_video_mp4) ) $output .= '<source type="video/mp4" src="'. esc_url( $wdc_video_mp4 ) .'" />';
		if ( !empty($wdc_video_webm) ) $output .= '<source type="video/webm" src="'. esc_url( $wdc_video_webm ) .'" />';
		if ( !empty($wdc_video_ogg) ) $output .= '<source type="video/ogg" src="'. esc_url( $wdc_video_ogg ) .'" />';
	$output .= '</video>';
	$output .= '</div>';
}

if ( is_page() && $page_layout == 'fw' ) {
	if ( $wdc_full_width == 2 ) {
		$output .= '<div class="container-full">';
	}
	elseif ( $wdc_full_width == 1 ) {
		$output .= '<div class="container-fluid">';
	}
	else {
		$output .= '<div class="container">';
	}
	$output .= '<div class="row">';
}

$output .= wpb_js_remove_wpautop($content);

if ( is_page() && $page_layout == 'fw' ) {
	$output .= '</div>';
	$output .= '</div>';
}

$output .= '</div>';
$output .= $after_output;

echo $output;
